# Uses of Interface
org.eclipse.birt.report.engine.extension.IReportItemExecutor

Packages that use IReportItemExecutor
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.
org.eclipse.birt.report.engine.layout.content

## Uses of IReportItemExecutor in org.eclipse.birt.report.engine.extension

Classes in org.eclipse.birt.report.engine.extension that implement IReportItemExecutor
Modifier and Type
Class
Description
`class`
`org.eclipse.birt.report.engine.extension.ReportItemExecutorBase`
Methods in org.eclipse.birt.report.engine.extension that return IReportItemExecutor
Modifier and Type
Method
Description
`IReportItemExecutor`
IExecutorContext.`createExecutor(IReportItemExecutor parent, Object handle)`
create IReportItemExecutor of handle, the extendedItem is child.
`IReportItemExecutor`
IExtendedItem.`createExecutor()`
`IReportItemExecutor`
IReportItemExecutor.`getNextChild()`
return the next child's executor
`IReportItemExecutor`
IReportItemExecutor.`getParent()`
get parent report item executor
Methods in org.eclipse.birt.report.engine.extension with parameters of type IReportItemExecutor
Modifier and Type
Method
Description
`IReportItemExecutor`
IExecutorContext.`createExecutor(IReportItemExecutor parent, Object handle)`
create IReportItemExecutor of handle, the extendedItem is child.
`void`
IReportItemExecutor.`setParent(IReportItemExecutor parent)`
set parent report item executor

## Uses of IReportItemExecutor in org.eclipse.birt.report.engine.layout.content

Classes in org.eclipse.birt.report.engine.layout.content that implement IReportItemExecutor
Modifier and Type
Class
Description
`class`
`ItemExecutorWrapper`
Fields in org.eclipse.birt.report.engine.layout.content declared as IReportItemExecutor
Modifier and Type
Field
Description
`protected IReportItemExecutor`
ItemExecutorWrapper.`executor`
Methods in org.eclipse.birt.report.engine.layout.content that return IReportItemExecutor
Modifier and Type
Method
Description
`IReportItemExecutor`
IContentWrapper.`getExecutor()`
`IReportItemExecutor`
ItemExecutorWrapper.`getNextChild()`
Constructors in org.eclipse.birt.report.engine.layout.content with parameters of type IReportItemExecutor
Modifier
Constructor
Description
``
`ItemExecutorWrapper(IReportItemExecutor executor, IContent content)`